## org.eclipse.jetty.deploy.bindings
Class StandardStopper

    java.lang.Object
      org.eclipse.jetty.deploy.bindings.StandardStopper

All Implemented Interfaces:
  AppLifeCycle.Binding

    public class StandardStopper

extends Object
implements AppLifeCycle.Binding

Constructor Summary
`StandardStopper()`

Method Summary
`String[]` `getBindingTargets()` Get a list of targets that this implementation should bind to.
`void` `processBinding(Node node, App app)` Event called to process a `AppLifeCycle` binding.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardStopper

    public StandardStopper()

Method Detail

### getBindingTargets

    public String[] getBindingTargets()

  Description copied from interface: `AppLifeCycle.Binding`
  Get a list of targets that this implementation should bind to.

  Specified by:
    `getBindingTargets` in interface `AppLifeCycle.Binding`
  Returns:
    the array of String node names to bind to. (use `"*"` to bind to all known node names)

### processBinding

    public void processBinding(Node node,
                               App app)
                        throws Exception

  Description copied from interface: `AppLifeCycle.Binding`
  Event called to process a `AppLifeCycle` binding.

  Specified by:
    `processBinding` in interface `AppLifeCycle.Binding`
  Parameters:
    `node` - the node being processed
    `app` - the app being processed
  Throws:
    `Exception` - if any problem severe enough to halt the AppLifeCycle processing

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.